package  UserInt;

import  java.awt.*;

/** A graphical component that consists of a single horizontal line. */
public class HorSeparator extends Panel
{
    public HorSeparator()
    {
        super();
    }

    public Insets insets()
    {
        return  (new Insets (1,0,2,0));
    }

    public void paint(Graphics g)
    {
        Dimension  mySize = size();
        if (g != null)
            g.drawLine (0,1,mySize.width,1);
    }

    public void reshape (int x, int y, int width, int height)
    {
        super.reshape(x, y, width, height);

        if (getGraphics() != null)
            repaint();
    }
}
